# grafana_plugin – Manage Grafana plugins via grafana-cli

New in version 2.5.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Install and remove Grafana plugins.

- See https://grafana.com/docs/plugins/installation/ for upstream documentation.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
grafana_plugin_url - |  | Full URL to the plugin zip file instead of downloading the file from https://grafana.com/api/plugins. Requires grafana 4.6.x or later.
grafana_plugins_dir - |  | Directory where the Grafana plugin will be installed. If omitted, defaults to `/var/lib/grafana/plugins`.
grafana_repo - |  | URL to the Grafana plugin repository. If omitted, grafana-cli will use the default value: https://grafana.com/api/plugins.
name - / required |  | Name of the plugin.

state
-

Choices:
- present ←
- absent

Whether the plugin should be installed.

version - |  | Version of the plugin to install. Defaults to `latest`.

## Examples

    ---
    - name: Install/update Grafana piechart panel plugin
      grafana_plugin:
        name: grafana-piechart-panel
        version: latest
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
version string | always | version of the installed/removed/updated plugin.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Thierry Sallé (@seuf)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.